Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.viewmodel
Interface NodeModelFilter

All Superinterfaces:
  Model

    public interface NodeModelFilter

extends Model

Filters content of some existing `NodeModel`. You can change display name, tooltip, or icon for some existing object here.

Method Summary
`void` | `addModelListener(ModelListener l)` Registers given listener.
`String` | `getDisplayName(NodeModel original, Object node)` Returns filterred display name for given node.
`String` | `getIconBase(NodeModel original, Object node)` Returns filterred icon for given node.
`String` | `getShortDescription(NodeModel original, Object node)` Returns filterred tooltip for given node.
`void` | `removeModelListener(ModelListener l)` Unregisters given listener.

Method Detail

### getDisplayName

    String getDisplayName(NodeModel original,
                          Object node)
                          throws UnknownTypeException

  Returns filterred display name for given node. You should not throw UnknownTypeException directly from this method!

  Returns:
    display name for given node
  Throws:
    `UnknownTypeException` - this exception can be thrown from `original.getDisplayName (...)` method call only!

### getIconBase

    String getIconBase(NodeModel original,
                       Object node)
                       throws UnknownTypeException

  Returns filterred icon for given node. You should not throw UnknownTypeException directly from this method!

  Returns:
    icon for given node
  Throws:
    `UnknownTypeException` - this exception can be thrown from `original.getIconBase (...)` method call only!

### getShortDescription

    String getShortDescription(NodeModel original,
                               Object node)
                               throws UnknownTypeException

  Returns filterred tooltip for given node. You should not throw UnknownTypeException directly from this method!

  Returns:
    tooltip for given node
  Throws:
    `UnknownTypeException` - this exception can be thrown from `original.getShortDescription (...)` method call only!

### addModelListener

    void addModelListener(ModelListener l)

  Registers given listener.

  Parameters:
    `l` - the listener to add

### removeModelListener

    void removeModelListener(ModelListener l)

  Unregisters given listener.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.